com.tibco.n2.service.adapter.logging

## Enum SAAudit

- java.lang.Object
- - java.lang.Enum<SAAudit>
  - - com.tibco.n2.service.adapter.logging.SAAudit

- All Implemented Interfaces:
    com.tibco.n2.logging.context.interfaces.N2LFIContext<com.tibco.n2.logging.context.message.N2LogMessageContext>, com.tibco.n2.logging.context.interfaces.N2LFILogMessage, java.io.Serializable, java.lang.Comparable<SAAudit>

      public enum SAAudit
      extends java.lang.Enum<SAAudit>
      implements com.tibco.n2.logging.context.interfaces.N2LFILogMessage

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected com.tibco.n2.logging.context.parser.N2LFContextContainer<com.tibco.n2.logging.context.message.N2LogMessageContext>` | `ctx`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.tibco.n2.logging.context.message.N2LogMessageContext` | `getContext()`
    `void` | `setContext(com.tibco.n2.logging.context.message.N2LogMessageContext aValue)`
    `static SAAudit` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SAAudit[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ctx

          protected com.tibco.n2.logging.context.parser.N2LFContextContainer<com.tibco.n2.logging.context.message.N2LogMessageContext> ctx

  - ### Method Detail

    - #### values

          public static SAAudit[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SAAudit c : SAAudit.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SAAudit valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getContext

          public com.tibco.n2.logging.context.message.N2LogMessageContext getContext()

      Specified by:
        `getContext` in interface `com.tibco.n2.logging.context.interfaces.N2LFIContext<com.tibco.n2.logging.context.message.N2LogMessageContext>`

    - #### setContext

          public void setContext(com.tibco.n2.logging.context.message.N2LogMessageContext aValue)

      Specified by:
        `setContext` in interface `com.tibco.n2.logging.context.interfaces.N2LFIContext<com.tibco.n2.logging.context.message.N2LogMessageContext>`

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.